=== debian/watch ===
version=4

https://sf.net/jfreereport/ [pentahoreporting-]*flow-engine-([\d\.]*).zip
